Reorder questions
curl --request POST \
--url https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/reorder \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"modality": "voice",
"order": [
"Q1",
"Q3",
"Q2"
]
}
'import requests
url = "https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/reorder"
payload = {
"modality": "voice",
"order": ["Q1", "Q3", "Q2"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({modality: 'voice', order: ['Q1', 'Q3', 'Q2']})
};
fetch('https://api.heymilo.ai/api/v2/postings/{posting_id}/questions/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "A1B2C3D4",
"posting_id": "13D77095",
"modality": "voice",
"text": "Tell me about a challenging project you led.",
"object": "question",
"rank": 1,
"evaluation_criteria": "<string>",
"score_of_1": "<string>",
"score_of_5": "<string>",
"score_weight": 123,
"not_scored": true,
"question_type": "<string>",
"min_follow_ups": 123,
"max_follow_ups": 123,
"additional_instructions": "<string>",
"post_processing_evaluation_criteria": "<string>",
"expected_answer": "<string>",
"expected_value": 123,
"is_dealbreaker": true,
"answer": "<unknown>",
"is_knockout": true,
"dropdown_values": [
{}
],
"is_answer_mandated": true,
"mcq_type": "<string>",
"operator": "<string>",
"file_types": [
"<string>"
],
"allow_multiple_files": true,
"slider_min": 123,
"slider_max": 123,
"slider_step": 123,
"response_format": "text",
"instructions": "<string>",
"options": [
"<string>"
],
"structured_config": {},
"created_at": 123,
"updated_at": 123
}
],
"pagination": {
"has_more": true,
"total_count": 123,
"url": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Reorder questions
Sets the display order for questions of a given modality. You must include every active question ID for the specified modality in the desired order.
POST
/
api
/
v2
/
postings
/
{posting_id}
/
questions
/
reorder
Reorder questions
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Body
application/json
Request body for reordering questions within a modality.
Modality to reorder: voice, sms, form, resume_eligibility, resume_scoring, voice_tags.
Available options:
voice, sms, form, resume_eligibility, resume_scoring, voice_tags Example:
"voice"
Ordered list of question IDs. Every active question for the specified modality must be included.
Example:
["Q1", "Q3", "Q2"]
Was this page helpful?
⌘I